# How To Convert Anime Discs to MKV files

## Converting raw BluRay directory to MKV
 ### Requires
 * MakeMKV
 * MKVToolNix
 * BluRay directory of the anime.

 ### Steps
 * Open MakeMKV and pick the `index.bdmv` file.  
 ![Step 1](assets/makemkv_bluray_directory_step1.png)

 * Once MakeMKV has opened the directory, choose the Title that matches (Usually the largest) then set output folder and click the Make MKV icon.  
 ![Step 2](assets/makemkv_bluray_directory_step2.png)  

 * Open MKVToolNix and move the file that MakeMKV created into it.  
 ![Step 3](assets/makemkv_bluray_directory_step3.png)  

 * Switch to `Output` tab and on `Splitting` change `Split Mode` to `Before Chapters` and put the chapter numbers where the episodes change as a comma separated list in `Chapter numbers` input. Example: `3,6,9`  
 ![Step 4](assets/makemkv_bluray_directory_step4.png)  

 * Switch to `Input` tab and set output folder and then click `Start multiplexing`
 ![Step 5](assets/makemkv_bluray_directory_step5.png)  

 * Verify all the files exist and start at proper position. If this is the case, you have successfully converted the Bluray directory to MKV files. ✔